Page MenuHomePhabricator

Configure SecurePoll for use at Persian Wikipedia (Fa WP)
Closed, DeclinedPublic

Description

Users at the Persian Wikipedia have recently elected to switch the mechanism used for the Supervisory Committee (akin to Arb Com) to secure polls, such that the actual votes are hidden from the community, and only a list of the voters as well as the final outcome of the election would be publicly available at the end of the election. [1] To that end, we would like to ask Wikimedia server admins to configure Extension:SecurePoll for Fa WP. Specifically:

  1. We need a local "electionadmin" group to be defined who will have the securepoll-create-poll and editinterface rights.
  2. We need only Stewards to have the authority to add users to this group. Local bureaucrats shall not have the authority to add/remove users to/from this group.

Should you have any questions, please let me know!

[1] https://fa.wikipedia.org/wiki/%D9%88%DB%8C%DA%A9%DB%8C%E2%80%8C%D9%BE%D8%AF%DB%8C%D8%A7:%D9%86%D8%B8%D8%B1%D8%AE%D9%88%D8%A7%D9%87%DB%8C/%D8%B1%D8%A7%DB%8C%E2%80%8C%DA%AF%DB%8C%D8%B1%DB%8C_%D8%A7%D9%85%D9%86_%D8%A8%D8%B1%D8%A7%DB%8C_%D9%87%DB%8C%D8%A6%D8%AA_%D9%86%D8%B8%D8%A7%D8%B1%D8%AA_%DB%B2

Event Timeline

Huji created this task.Oct 26 2015, 12:30 AM
Huji raised the priority of this task from to Needs Triage.
Huji updated the task description. (Show Details)
Huji added a project: Wikimedia-Site-requests.
Huji added a subscriber: Huji.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 26 2015, 12:30 AM
Dalba added a subscriber: Dalba.Oct 26 2015, 7:28 AM
revi added a subscriber: revi.Oct 26 2015, 12:08 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 5 2015, 9:57 AM
4nn1l2 added a subscriber: 4nn1l2.Nov 6 2015, 1:32 AM
4nn1l2 added a comment.Nov 6 2015, 3:39 PM

I'm not sure but it may be because of some Internet filtering problems in Iran. Last month a great deal of users reported that they cannot see the Commons files within the Persian Wikipedia. The whole website was allegedly inaccessible too. Some users speculated that this problem might have something to do with the Wiki Loves Monument contest!

Huji added a comment.Nov 7 2015, 3:13 PM

Shouldn't this be done on https://vote.wikimedia.org/wiki/Main_Page anyway?

I believe it shouldn't. For one thing, this is a Fa WP specific voting, why does it have to be hosted off wiki? For second thing, vote.wikimedia.org defaults to a English interface which is left to right unless users specifically set their interface language, and that is not desirable for Fa WP votings that are in Persian (an RTL to language). Third, there is no need or intention to translate the Fa WP to other languages. Forth, to be eligible to vote in Fa WP voting you must have significant edits in Fa WP in the months leading to the voting, so it is really not intended to capture audience from other wikis. Last but not least, we want to allow users who (due to internet blocks in Iran) can only access the wiki via HTTP (not HTTPS) to still be able to vote, and we have gadgets for that on Fa WP, but not on vote.wikimedia.org

All of the above indicates the voting should be created locally on Fa WP.

  1. you can make it default to other languages if you want - it should reflect ULS settings, and there's always &uselang= if needed. Secondly, thus site is used for en arbcom elections too, which are also meant for only those editing enwiki. The extension is not actually installed on your site AFAIK, so this is a much easier way of achieving this. It's down to ops at the end of the day, just my 2 cents here.

Ok, I'm on vacation so will have to look at this when I get back next week (I get back Tuesday so it is most likely it will be a bit later in the week) but for now I'm claiming it as the main one traditionally responsible for SecurePoll questions in general. I wish someone had come to us during the vote itself so that we could talk out the needs but we'll try to do what is possible. Right now SecurePoll is intended to ONLY work on voteWiki and i would like to keep it that way for many reasons. That does not mean it can't do local elections, however, English Wikipedia arbcom elections are done the same way for example and anyone attempting to vote from faWiki will always be shown a Farsi interface and translations.

I'll loop back here (and am happy to chat offline then as well if you want to dive into deeper thoughts) as soon as I'm able next week.

Mdann52 closed this task as Declined.Nov 24 2015, 7:10 PM

Per response above

Huji added a comment.Nov 24 2015, 10:22 PM

Per response above

Care to explain? James said we should wait for him for a week (granted, 3 weeks has passed since) but didn't say it is not allowed or not possible to configure SecurePoll for local elections. How did you interpret that differently?

@Mdann52 Let me ping Matthew.

Jalexander reopened this task as Stalled.Dec 15 2015, 6:13 PM

For now I'll reopen this as Stalled and I'm still hoping to loop back as soon as I can (hopefully in the next day or two) about ideas. The 'short' answer is that I'm not 100% sure we're able to meet all of the requirements (some of it is very much hard coded right now such as https and I'm not entirely sure the system won't fail completely without it) but I want to try and make it work for you if we're able to.

I don't think HTTPS is optional now, is it?

Huji closed this task as Declined.Jan 22 2016, 4:01 AM

Closing this request, because Jalexander did not send any follow up, and the FA WP community has decided to use votewiki.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 22 2016, 4:01 AM